#
# spec file for package python-releases
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global flavor test%{nil}
%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%if "%{flavor}" == "test"
%bcond_without test
%else
%bcond_with test
%endif
%if %{with test}
Name:           python-releases-%{flavor}
%else
Name:           python-releases
%endif
Version:        1.6.1
Release:        3.1
Summary:        A Sphinx extension for changelog manipulation
License:        BSD-2-Clause
Group:          Development/Languages/Python
URL:            https://github.com/bitprophet/releases
Source:         https://files.pythonhosted.org/packages/source/r/releases/releases-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Sphinx >= 1.3
Requires:       python-semantic_version
Requires:       python-six >= 1.4.1
BuildArch:      noarch
%if %{with test}
BuildRequires:  %{python_module Sphinx >= 1.3}
BuildRequires:  %{python_module invocations}
BuildRequires:  %{python_module invoke}
BuildRequires:  %{python_module mock >= 1.0.1}
BuildRequires:  %{python_module semantic_version}
BuildRequires:  %{python_module six >= 1.4.1}
BuildRequires:  %{python_module spec >= 0.11.3}
%endif
%python_subpackages

%description
Releases is a Python 2+3 compatible `Sphinx <http://sphinx-doc.org>`_ extension
designed to help you keep a source control friendly, merge friendly changelog
file & turn it into useful, human readable HTML output.

Specifically:

* The source format (kept in your Sphinx tree as ``changelog.rst``) is a
  stream-like timeline that plays well with source control & only requires one
  entry per change (even for changes that exist in multiple release lines).
* The output (when you have the extension installed and run your Sphinx build
  command) is a traditional looking changelog page with a section for every
  release; multi-release issues are copied automatically into each release.
* By default, feature and support issues are only displayed under feature
  releases, and bugs are only displayed under bugfix releases. This can be
  overridden on a per-issue basis.

%prep
%setup -q -n releases-%{version}

%build
%python_build

%install
%if !%{with test}
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}
%endif

%if %{with test}
%check
%python_expand invoke-%{$python_bin_suffix} test
%endif

%files %{python_files}
%doc README.rst
%license LICENSE
%if !%{with test}
%{python_sitelib}/*
%endif

%changelog
* Wed Aug 29 2018 tchvatal@suse.com
- Move the Name definition above lua code to work on 42.3
* Sat Aug 11 2018 tchvatal@suse.com
- Enable testsuite in multibuild mode as it creates cycle otherwise
* Sat Aug 11 2018 tchvatal@suse.com
- Update to 1.6.1:
  * Support sphinx 1.7
* Fri May 18 2018 toddrme2178@gmail.com
- Update to 1.5.0
  * Allow multiple changelog files -- releases_document_name
    may now optionally be a list of strings instead of a single string.
- Update to 1.4.2
  * We never pulled our README into our setup.py metadata,
    resulting in a rather sparse PyPI page! This has been fixed.
- Update to 1.4.1
  * Sphinx 1.7.x changed some semi-public APIs; given this is the
    second minor release in a row to do so, we're explicitly bracketing our
    ``setup.py`` dependencies to Sphinx >= 1.3 and < 1.7. We expect to bump this
    up one minor release at a time as we add compatibility back in.
- Update to 1.4.0
  * Drop Python 2.6 and 3.3 support, to correspond with earlier
    changes in Sphinx and most other public Python projects.
  * Identified a handful of issues with our Sphinx pin &
    subsequently, internal changes in Sphinx 1.6 which broke (and/or appear to
    break, such as noisy warnings) our own behavior. These have (hopefully) all
    been fixed.
- Update to 1.3.2
  * Update packaging requirements to allow for
    sphinx>=1.3,<2.
* Thu Oct 19 2017 toddrme2178@gmail.com
- Initial version
